crds:
  enabled: true

config:
  apiVersion: controller.config.cert-manager.io/v1alpha1
  kind: ControllerConfiguration
  enableGatewayAPI: true
  acmeDNS01Config:
    recursiveNameservers:
      - "8.8.8.8:53"
      - "1.1.1.1:53"
    recursiveNameserversOnly: true

replicaCount: 2

resources:
  requests:
    cpu: 10m
    memory: 32Mi

strategy:
  type: RollingUpdate
  rollingUpdate:
    maxSurge: 0
    maxUnavailable: 1

webhook:
  replicaCount: 2
  resources:
    requests:
      cpu: 10m
      memory: 32Mi

cainjector:
  replicaCount: 2
  resources:
    requests:
      cpu: 10m
      memory: 32Mi
